Shall i use 2.6 kernel?
Results 1 to 7 of 7

Thread: Shall i use 2.6 kernel?

  1. #1
    Senior Member
    Join Date
    Dec 2003
    Posts
    121

    Shall i use 2.6 kernel?

    Ok i am relatively new on linux and i use a 2.4.20 kernel ...is it a good idea to download the 2.6 kernel (is it better than the 2.4.x series) or should i wait until it becomes stable?
    Ps:sb told me that each new kernel has some specific new characteristics about some specific apps..is that true? I mean is there a difference between two kernels concerning 'quality' (security,etc)??

  2. #2
    Senior Member
    Join Date
    May 2002
    Posts
    450
    2.6.2 is now in the stable branch

    Whether you upgrade or not is entirely up to you. I suggest a bit of reading to see what benefits your system will get by the upgrade.

    2.4.20 has been upgraded somewhat to 2.4.24. Some security issues have been addressed in the later kernels in the 2.4 branch so an upgrade would not be a bad idea - even staying in the 2.4 series.

    http://kerneltrap.org/node/view/799 .... should give you a heads up on whats invovled in upgrading to the 2.6 kernels - but I would check out the forums that are specific to your distro to get an idea what others have done and the problems they have faced and overcome.

    My Slackware box runs a lot smoother and faster on the 2.6 kernel, but I have kept the 2.4.24 on there as a backup just in case I play too much.

    With all that said, everything is working fine here on 2.6.2.

  3. #3
    Antionline Herpetologist
    Join Date
    Aug 2001
    Posts
    1,165
    w000tz0r!! 2.6.2 works beautifully. I had some problems with 2.4.22 earlier, but with 2.6.2 everything "Just Works".

    Cheers,
    cgkanchi
    Buy the Snakes of India book, support research and education (sorry the website has been discontinued)
    My blog: http://biology000.blogspot.com

  4. #4
    Senior Member gore's Avatar
    Join Date
    Oct 2002
    Location
    Michigan
    Posts
    7,177
    I'm going to agree here with upgrading your kernel to AT LEAST 2.4.24. I have yet to upgrade to 2.6.X, but mainly because of my decent uptime, and the "It's not broken, it's not slow, it's fast, it's stable, leave it the **** alone untill prepaired to lose uptime" way of thinking on this box.

    2.6, if you see a use you need it for, should be fine, but if you like 2.4.X, then stick with that, but get 2.4.24 at least.

  5. #5
    Senior Member
    Join Date
    Dec 2003
    Posts
    121
    Thanks guys... i am just downloading the 2.4.24 (i will patch right now) and 2.6.2 for later use...
    to gore: could you explain me why you said 'if you see a use you need it for'? I mean does the 2.6 has some specific reasons of existence (for some particular apps) or not? Sorry if i am becoming a bit of a lamer i will have to google maybe to see what each kernel is for...
    Cheers
    Is that the place where I am supposed to say sth clever and brilliant so that everybody understands how clever nice guy I am????
    Screw you guys I am going home!-Kartman

  6. #6
    Senior Member gore's Avatar
    Join Date
    Oct 2002
    Location
    Michigan
    Posts
    7,177
    Well, if there is a driver for example you want/need, then that would be an example. Or if you want to use it for other reasons. I just mean there is no reason to jump on an upgrade, but also, it can be nice. The choice is up to you.

  7. #7
    Senior Member
    Join Date
    Dec 2003
    Posts
    121
    Ok gore thanks for info...i guess it is a bit harder than i thought to compile successfully the kernel so now i am on it
    Is that the place where I am supposed to say sth clever and brilliant so that everybody understands how clever nice guy I am????
    Screw you guys I am going home!-Kartman

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •